#include "Circular_Gauge.h"

#define afrMin 9
#define afrMax 19

Circular_Gauge gauge(afrMin, afrMax, true);

int analogPin = A0; //Gleichspannung: muss zwischen +0V und +5 V sein!
                    // sie wird zwecks Ansteuerung passend errechnet, 
                    //damit der hier definierte Wertebereich von +9V...+19V gebildet wird
                    //die Spannung muss ggf. mit einem Trimmpoti angepasst werden; 
                    //dabei entsprechen 5V dem ganzen Anzeigebogen

                    
int voltin = 0;  // variable to store the value read
float value = 0;

void setup()   {                
  Serial.begin(19200);
  gauge.begin();
}

void loop() {
 // float value = getTestValue();
//float value = 13;//9 + 6dB; Werte von 9 bis 19! Hier nur als Testwerte fest vergeben

float voltin = analogRead(analogPin);  // read the input pin A0

value = (voltin/100)+9;//Typwandlung ist automatisch


//Serial.println(value);//für Debugzwecke; erscheint im  im seriellen Monitor 


  gauge.drawGaugeData(value);
}

/*float testVal = afrMin;
float inc = 0.2;
boolean increase = true;

float getTestValue() {
  if (testVal >= afrMax) increase = false;
  if (testVal <= afrMin) increase = true;
  if (increase) testVal+=inc;
  else testVal-=inc;
  return testVal;
}*/
